Skip to main content

Get rentable item assignment by ID

GEThttps://api.propexo.com/v1/rentable-item-assignments/:rentable_item_assignment_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

rentable_item_assignment_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the rentable item assignment

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    leases/getLeaseDetails
    Example: 16490802-512014
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    leases/getLeaseDetails
    Example: 1159913
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for ENTRATA

    Example: null
    x_rentable_item_idstringrequired

    The external ID of the rentable item from the integration vendor

    Method
    leases/getLeaseDetails
    Example: 512014
    x_lease_idstring | nullnullablerequired

    The external ID of the lease from the integration vendor

    Method
    leases/getLeaseDetails
    Example: 16490802
    start_datestring | nullnullablerequired

    The start date associated with the rentable item assignment

    Method
    leases/getLeaseDetails
    Example: 2025-09-26T00:00:00.000Z
    end_datestring | nullnullablerequired

    The end date associated with the rentable item assignment

    Method
    leases/getLeaseDetails
    Example: 2026-10-25T00:00:00.000Z
    amount_in_centsnumber | nullnullablerequired

    The amount of the rentable item assignment, in cents

    Method
    leases/getLeaseDetails
    Example: 4000
    amount_rawstring | nullnullablerequired

    The raw value for amount from the PMS

    Method
    leases/getLeaseDetails
    Example: 40.00
    status_rawstring | nullnullablerequired

    The raw status associated with the rentable item assignment

    Method
    leases/getLeaseDetails
    Example: Current
    custom_data object | nullrequired
    object
    rentable_item_idstringrequired

    The Propexo unique identifier for the rentable item

    Method
    leases/getLeaseDetails
    Example: clxksir9z000e2xozfgbb7nom
    lease_idstring | nullnullablerequired

    The Propexo unique identifier for the lease

    Method
    leases/getLeaseDetails
    Example: clxksir9z000e2xozfgbb7nom
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum15required

    The property management system of record

    Show 13 enum values
    ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: ENTRATA
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/rentable-item-assignments/:rentable_item_assignment_id
curl https://api.propexo.com/v1/rentable-item-assignments/:rentable_item_assignment_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "16490802-512014",
"x_property_id": "1159913",
"x_location_id": null,
"x_rentable_item_id": "512014",
"x_lease_id": "16490802",
"start_date": "2025-09-26T00:00:00.000Z",
"end_date": "2026-10-25T00:00:00.000Z",
"amount_in_cents": 4000,
"amount_raw": "40.00",
"status_raw": "Current",
"custom_data": "Unknown Type: object,null",
"rentable_item_id": "clxksir9z000e2xozfgbb7nom",
"lease_id": "clxksir9z000e2xozfgbb7nom",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}